summaryrefslogtreecommitdiff
path: root/debian/tests/upstream-bottleneck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/upstream-bottleneck.sh')
-rwxr-xr-xdebian/tests/upstream-bottleneck.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/tests/upstream-bottleneck.sh b/debian/tests/upstream-bottleneck.sh
new file mode 100755
index 0000000..a11a13b
--- /dev/null
+++ b/debian/tests/upstream-bottleneck.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -e
+set -u
+
+tmpdir=$AUTOPKGTEST_TMP/bottleneck
+
+mkdir -p $tmpdir
+cp -R $PWD/bottleneck/tests/* $tmpdir
+
+cd $tmpdir
+ln -s /usr/include/catch2 catch
+
+set -x
+g++ -O2 -I/usr/include/hera/bottleneck -o test tests_main.cpp test_hera_bottleneck.cpp
+./test
+cd data
+../test
+